var fs = require('fs')
var xx =require("@babel/core").transform(
  fs.readFileSync('./public/js/view/page/export.jsx'),
  {
    "plugins": [
      ["@babel/plugin-transform-react-jsx", {
        "pragma": "D.h", // default pragma is React.createElement
        "pragmaFrag": "D.f", // default is React.Fragment
        "throwIfNamespace": false // defaults to true
      }]
    ]
  }, function(c,d,e) {
    console.log(d.code.replace(/\\u([\d\w]{4})/gi, (m, g) => String.fromCharCode(parseInt(g, 16))))
    debugger
  });


/*
,
    "pragma": "Zrx.h",
    "pragmaFrag": "Zrx.Fragment",
    "throwIfNamespace": false

 */